# Module ethcore_util::triehash [−] [src]

Generetes trie root.

This module should be used to generate trie root hash.

## Functions

ordered_trie_root | Generates a trie root hash for a vector of values
sec_trie_root | Generates a key-hashed (secure) trie root hash for a vector of key-values.
trie_root | Generates a trie root hash for a vector of key-values

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)